Tool: batch_fetch_user_feedback_sample_issue_logs
Retrieves verbose logs for multiple sample issues.
The following code sample shows how to use curl to call the batch_fetch_user_feedback_sample_issue_logs MCP tool.
| Curl Request |
|---|
curl --location 'https://homedevelopers.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "batch_fetch_user_feedback_sample_issue_logs", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for HomeKnowledge.BatchFetchUserFeedbackSampleIssueLogs.
BatchFetchUserFeedbackSampleIssueLogsRequest
| JSON representation |
|---|
{ "sampleIds": [ string ] } |
| Fields | |
|---|---|
sampleIds[] |
Required. List of sample issues to retrieve logs for. The maximum number of allowed sample IDs is 100. |
Output Schema
Response message for HomeKnowledge.BatchFetchUserFeedbackSampleIssueLogs.
BatchFetchUserFeedbackSampleIssueLogsResponse
| JSON representation |
|---|
{
"sampleIssueLogs": [
{
object ( |
| Fields | |
|---|---|
sampleIssueLogs[] |
Retrieved log entries paired with their requested sample issue resource names. |
UserFeedbackSampleIssueLogs
| JSON representation |
|---|
{ "sampleId": string, "executionLogs": [ { object ( |
| Fields | |
|---|---|
sampleId |
The resource name of the sample issue these logs belong to. |
executionLogs[] |
Execution log entries containing partner-safe execution fields. |
homeGraphLogs[] |
Home Graph log entries containing partner-safe state change fields. |
ExecutionLogEntry
| JSON representation |
|---|
{
"executionResults": [
{
object ( |
| Fields | |
|---|---|
executionResults[] |
An execution can have multiple execution results. |
ExecutionResult
| JSON representation |
|---|
{ "requestId": string, "timestampMicros": string, "executionResultType": string, "latencyMillis": string, "trait": string, "actionType": string, "statusType": string, "success": boolean, "externalDebugString": string } |
| Fields | |
|---|---|
requestId |
Request ID of the execution. |
timestampMicros |
Timestamp of the execution result in microseconds. |
executionResultType |
Execution type that the result was obtained from. |
latencyMillis |
Latency in milliseconds. |
trait |
Trait involved in the execution. |
actionType |
Action type of the execution. |
statusType |
Status type of the execution. |
success |
Whether the execution was successful. |
externalDebugString |
External debug string. |
HomeGraphLogEntry
| JSON representation |
|---|
{ "timestampMicros": string, "trait": string, "stateChangeValue": string, "stateLayer": string } |
| Fields | |
|---|---|
timestampMicros |
Timestamp in microseconds. |
trait |
The trait name of the state change. |
stateChangeValue |
Value of the state change in Home Graph. |
stateLayer |
State layer. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌